import java.awt.*;

/**
 * A basic game object, after being eaten it is generated in a random spot on the game board. It is displayed as a
 * square of a specified color.
 */
public class Food extends GameObj {
    public static final int SIZE = 10;
    public static final int INIT_POS_X = 200;
    public static final int INIT_POS_Y = 200;
    public static final int INIT_VEL_X = 0;
    public static final int INIT_VEL_Y = 0;

    private Color color;

    public Food(int courtWidth, int courtHeight, Color color) {
        super(INIT_VEL_X, INIT_VEL_Y, INIT_POS_X, INIT_POS_Y, SIZE, SIZE, courtWidth, courtHeight);

        this.color = color;
    }

    @Override
    public void draw(Graphics g) {
        g.setColor(this.color);
        g.fillRect(this.getPx(), this.getPy(), this.getWidth(), this.getHeight());
    }
}