import java.awt.*;

/**
 * A basic game object starting representing one part of the snake. It is displayed as a
 * square of a specified color.
 */
public class Snake extends GameObj {
    public static final int SIZE = 10;
    public static final int INIT_VEL_X = 10;
    public static final int INIT_VEL_Y = 0;

    private Color color;

    public Snake(int courtWidth, int courtHeight, Color color, int x, int y) {
        super(INIT_VEL_X, INIT_VEL_Y, x, y, SIZE, SIZE, courtWidth, courtHeight);

        this.color = color;
    }

    @Override
    public void draw(Graphics g) {
        g.setColor(this.color);
        g.fillRect(this.getPx(), this.getPy(), this.getWidth(), this.getHeight());
    }
}